package de.dhbwstuttgart.target.tree;

import de.dhbwstuttgart.target.tree.type.TargetType;

public record TargetGeneric(String name, TargetType bound) {
    @Override
    public String toString() {
        if (bound.equals(TargetType.Object)) return "'" + name;
        else return "'" + name + " < " + bound;
    }
}
